<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

require_once('path.inc.php');
require_once(CDB_PATH_ADMIN.'/checkphp.inc.php');
require_once(CDB_PATH_ADMIN.'/checkuser.inc.php');

checkuser('pages');
require_once(CDB_PATH_ADMIN.'/locale.inc.php');
$locale = new LocalizingClass('pages');

include('../functions_url.inc.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('desc_pages') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css" />
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
		<script src="jquery.js" type="text/javascript"></script>
		<script src="anchormenu.js" type="text/javascript"></script>
	</head>
	<body>
		<?php
		// include('mobile.inc.php');
		// Opera Mini would reload the whole page (keeping here if we need this again)
		// if (strpos(strtolower($_SERVER['HTTP_USER_AGENT']), 'opera mini') === false) {
		// } else {
		// }
		?>

		<h1><?php locale('desc_pages') ?></h1>

		<?php
		if (isset($_GET['saved'])) {
			echo '<p class="success">'.sprintf(locale('desc_saved',true), $_GET['saved']).'</p>';
		} else {
			echo '<p class="hint">'.locale('desc_recyclebin',true).'</p>';
		}
		?>
		
		<p class="linklist_action">
			<a href="new.php?sec=root&amp;<?php echo SID.csrf_protection_get_html_ret() ?>" class="nonewtab"><img src="icons-action/create-file.png" style="vertical-align:middle" alt="" height="16" width="16" /> <?php locale('link_newpage-toplevel') ?></a><a href="sort1.php?sec=root&amp;<?php echo SID.csrf_protection_get_html_ret() ?>" class="nonewtab"><img src="icons-action/sort.png" style="vertical-align:middle" alt="" height="16" width="16" /> <?php locale('link_sortpages-toplevel') ?></a>
		</p>

		<?php
		function createPageOverview($folder = '../data/pages', $class='normal') {
			$handle = opendir($folder);
			while (false !== ($file = readdir($handle))) {
				if($file != '.' && $file != '..') {
					if(is_dir($folder.'/'.$file)) {
						$dirs[] = $folder.'/'.$file;
					}
				}
			}
			closedir($handle);
			if(isset($dirs)) {
				echo '<ul class="linklist">';
				natcasesort($dirs);
				foreach($dirs as $dir) {

					$class = (!isset($class) or $class == 'normal') ? 'alt' : 'normal';

					$file = str_replace($folder.'/', '', $dir);
					$show = substr($file, 3);
					$show = str_replace('_', ' ', $show);
					$show = str_replace('SLASH', '/', $show);
					$show = str_replace('AND', '&', $show);

					$shorturl = get_short_url(substr($folder,13).'/'.$file.'/01,Home');
					$shorturl_autosave = str_replace('/', '_', $shorturl);

					$ishidden = (substr($show, -4, 4) == '.DEL');
					$ishome = ($file == '01,Home');

					$i = 0;
					$h = opendir($dir);
					while (false !== ($file = readdir($h))) {
						if($file != '.' && $file != '..' && $file != '01,Home') {
							$i++;
						}
					}
					closedir($h);
					$issortable = ($i > 1);
					unset($i);

					echo '<li class="'.$class.'">';
					echo '<span class="list_name">'.htmlspecialchars($show).'</span>';
					echo '<span class="list_info">';

					if (file_exists('../data/.autosave_'.$shorturl_autosave))
						echo '<img src="unpublished.png" width="16" height="16" alt="" style="vertical-align:middle" /> '.locale('desc_draft',true).' &bull; ';

					if ($ishidden)
						echo '<img src="invisible.png" width="16" height="16" alt="" style="vertical-align:middle" /> '.locale('desc_hidden',true).' &bull; ';

					echo '<a href="editpage.php?file='.urlencode($shorturl).'&amp;'.SID.csrf_protection_get_html_ret().'">'.locale('link_editpage',true).'</a> &bull; ';

					if (!$ishome) {
						if (!$ishidden) {
							echo '<a href="invisible.php?file='.urlencode($shorturl).'&amp;'.SID.csrf_protection_get_html_ret().'">'.locale('link_visibility-off',true).'</a> &bull; ';
						} else {
							echo '<a href="visible.php?file='.urlencode($shorturl).'&amp;'.SID.csrf_protection_get_html_ret().'">'.locale('link_visibility-on',true).'</a> &bull; ';
						}
					}

					echo '<a href="new.php?sec='.urlencode($shorturl).'&'.SID.csrf_protection_get_html_ret().'">'.locale('link_newpage',true).'</a> &bull; ';

					if (!$ishome)
						echo '<a href="rename.php?file='.urlencode($shorturl).'&'.SID.csrf_protection_get_html_ret().'">'.locale('link_renamepage',true).'</a> &bull; ';

					if (!$ishome)
						echo '<a href="delete.php?file='.urlencode($shorturl).'&'.SID.csrf_protection_get_html_ret().'">'.locale('link_deletepage',true).'</a> &bull; ';

					if ($issortable)
						echo '<a href="sort1.php?sec='.urlencode($shorturl).SID.csrf_protection_get_html_ret().'">'.locale('link_sortpages',true).'</a> &bull; ';

					echo '<a href="attributes.php?file='.urlencode($shorturl).'&'.SID.csrf_protection_get_html_ret().'">'.locale('link_attributes',true).'</a>';

					echo '</span>';

					$class = createPageOverview($dir, $class);

					echo '</li>';

				}
				echo '</ul>';
			}
			return $class;
		}
		createPageOverview();
		?>

	</body>
</html>
