<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

require_once('path.inc.php');
require_once(CDB_PATH_ADMIN.'/checkphp.inc.php');
require_once(CDB_PATH_ADMIN.'/checkuser.inc.php');
checkuser('pages');
require_once(CDB_PATH_ADMIN.'/locale.inc.php');
$locale = new LocalizingClass('pages');

require_once('../functions_url.inc.php');

?>
<?php
if (isset($_POST['button'])) {
	$path = get_filename_from_url($_POST['file']);
	if ($path === false) {
		die('Error: The page couldn\'t be found in the URL index.');
	}
	$path = '../data/pages'.$path;
	$path = dirname($path);

	include('escape.inc.php');
	$new = escapeSL($_POST['new']);
	if (substr($_POST['file'],-4,4) == '.DEL') {
		$new = $new.'.DEL';
	}
	$new = str_replace(' ', '_', $new);
	$new = str_replace('&', 'AND', $new);
	$new = str_replace('/', 'SLASH', $new);
	$new = dirname($path).'/'.substr(basename($path),0,3).$new;

	rename($path, $new);

	include('cache.inc.php');
	clear_cache('pages');

	include('urlindex.inc.php');
	generate_urlindex();

	header('Location:pages.php?'.SID.csrf_protection_get().'#rename');
} else {
	$path = get_filename_from_url($_GET['file']);
	if ($path === false) {
		die('Error: The page couldn\'t be found in the URL index.');
	}
	$path = '../data/pages'.$path;

	$pagetitle = basename(dirname($path));
	$pagetitle = substr($pagetitle, 3);
	$pagetitle = str_replace('_', ' ', $pagetitle);
	$pagetitle = str_replace('SLASH', '/', $pagetitle);
	$pagetitle = str_replace('AND', '&', $pagetitle);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title_rename') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1><?php locale('title_rename') ?></h1>

<form action="rename.php?<?php echo SID; csrf_protection_get_html() ?>" method="POST">
	<input type="hidden" name="file" value="<?php echo $_GET['file'] ?>" />
	<fieldset>
		<p>
			<?php printf(locale('desc_rename',true), $pagetitle) ?>
			<input type="text" name="new" value="" /><br />
		</p>
	</fieldset>
	<p>
		<input type="submit" name="button" value="<?php locale('button_ok') ?>">
		<a href="pages.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('button_cancel') ?></a>
	</p>
</form>

</body>
</html>

<?php
}
?> 
